summaryrefslogtreecommitdiff
path: root/gettext-tools/tests/xgettext-csharp-7
diff options
context:
space:
mode:
authorDaiki Ueno <ueno@gnu.org>2014-03-10 18:13:28 +0900
committerDaiki Ueno <ueno@gnu.org>2014-03-10 18:24:15 +0900
commitd66197a3ca8355efa22f1d9c687f41eb30ae19ff (patch)
treec4acc964d617b04629a3a3bbb7632f34cdb35b9c /gettext-tools/tests/xgettext-csharp-7
parent0e79f41006d2b4d69dd3eb57c0202faa6c1fba44 (diff)
downloadgettext-d66197a3ca8355efa22f1d9c687f41eb30ae19ff.tar.gz
tests: Remove unnecessary tempfile cleanup code
Cleanup code like "rm -fr $tmpfiles" are no longer needed, since 'init.sh' takes care of that.
Diffstat (limited to 'gettext-tools/tests/xgettext-csharp-7')
-rw-r--r--[-rwxr-xr-x]gettext-tools/tests/xgettext-csharp-714
1 files changed, 2 insertions, 12 deletions
diff --git a/gettext-tools/tests/xgettext-csharp-7 b/gettext-tools/tests/xgettext-csharp-7
index 38025fe20..9f5643bee 100755..100644
--- a/gettext-tools/tests/xgettext-csharp-7
+++ b/gettext-tools/tests/xgettext-csharp-7
@@ -3,23 +3,15 @@
# Test C# support: extraction of contexts.
-tmpfiles=""
-trap 'rm -fr $tmpfiles' 1 2 3 15
-
-tmpfiles="$tmpfiles xg-cs-7.cs"
cat <<\EOF > xg-cs-7.cs
Console.WriteLine(rm.GetString("help"));
Console.WriteLine(rm.GetParticularString("Help", "about"));
EOF
-tmpfiles="$tmpfiles xg-cs-7.tmp.po xg-cs-7.po"
: ${XGETTEXT=xgettext}
-${XGETTEXT} --omit-header --no-location -d xg-cs-7.tmp xg-cs-7.cs
-test $? = 0 || { rm -fr $tmpfiles; exit 1; }
-LC_ALL=C tr -d '\r' < xg-cs-7.tmp.po > xg-cs-7.po
-test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+${XGETTEXT} --omit-header --no-location -d xg-cs-7.tmp xg-cs-7.cs || exit 1
+LC_ALL=C tr -d '\r' < xg-cs-7.tmp.po > xg-cs-7.po || exit 1
-tmpfiles="$tmpfiles xg-cs-7.ok"
cat <<EOF > xg-cs-7.ok
msgid "help"
msgstr ""
@@ -33,6 +25,4 @@ EOF
${DIFF} xg-cs-7.ok xg-cs-7.po
result=$?
-rm -fr $tmpfiles
-
exit $result